| CMSIS-RTOS RTX Version 4.51 CMSIS-RTOS RTX: Real-Time Operating System for Cortex-M processor-based devices

- RTX

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Data Structures
Generic Data Types and Definitions
CMSIS-RTOS API

Data Type Definitions used by the CMSIS-RTOS API functions. More...

## Data Structures
struct | osEvent
| Event structure contains detailed information about an event. More...
struct | os_mailQ

## Description

The Data Type section lists all data types that are used to exchange information with CMSIS-RTOS functions.

## Data Structure Documentation

struct osEvent

Note
  MUST REMAIN UNCHANGED: os_event shall be consistent in every CMSIS-RTOS. However the struct may be extended at the end.

The osEvent structure describes the events returned by CMSIS-RTOS functions.

### Data Fields
osStatus | status
| status code: event or error information
union {
uint32_t v
| message as 32-bit value
void * p
| message or mail as void pointer
int32_t signals
| signal flags
} | value
| event value
union {
osMailQId mail_id
| mail id obtained by osMailCreate
osMessageQId message_id
| message id obtained by osMessageCreate
} | def
| event definition

#### Field Documentation

union { ... } def

osMailQId mail_id

osMessageQId message_id

void* p

int32_t signals

osStatus status

uint32_t v

union { ... } value

struct os_mailQ

The osEvent structure describes the events returned by CMSIS-RTOS functions.